/*
 * This confidential and proprietary software may be used only as
 * authorised by a licensing agreement from ARM Limited
 * (C) COPYRIGHT 2022 ARM Limited
 * ALL RIGHTS RESERVED
 * The entire notice above must be reproduced on all authorised
 * copies and copies may only be made to the extent permitted
 * by a licensing agreement from ARM Limited.
 */

using System;
using UnityEngine;

public class MLBattleStartTimer : MonoBehaviour
{
	[SerializeField] Animator _animator;

	public EventHandler<EventArgs> Ended;

	public void Play()
	{
		_animator.SetTrigger("Play");
	}

	public void AnimationEnded()
	{
		Ended?.Invoke(this, EventArgs.Empty);
	}
}
