/*
 * This confidential and proprietary software may be used only as
 * authorised by a licensing agreement from ARM Limited
 * (C) COPYRIGHT 2022 ARM Limited
 * ALL RIGHTS RESERVED
 * The entire notice above must be reproduced on all authorised
 * copies and copies may only be made to the extent permitted
 * by a licensing agreement from ARM Limited.
 */

using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;

namespace Animation
{
	public class TmpUiTextTimer : AbstractAnimationEvaluatiorBehaviour
	{
		[SerializeField] TextMeshProUGUI _text;

		public override void Evaluate(float percentComplete)
		{
			int timeleft = (int)AnimationDuration - (int)_timeElapsed;
			_text.text = timeleft.ToString();
		}

		public override void OnAnimationComplete()
		{
			_text.text = EndValue.ToString();
		}

		public override void OnPlay()
		{

		}


	}
}
