﻿/*
 * This confidential and proprietary software may be used only as
 * authorised by a licensing agreement from ARM Limited
 * (C) COPYRIGHT 2022 ARM Limited
 * ALL RIGHTS RESERVED
 * The entire notice above must be reproduced on all authorised
 * copies and copies may only be made to the extent permitted
 * by a licensing agreement from ARM Limited.
 */

using UnityEngine;

namespace Item {
	public class Item : ScriptableObject {
		[Header("Item Information")]
		[SerializeField]
		Sprite _itemIcon;
		public Sprite ItemIcon { get => _itemIcon;}

		[SerializeField]
		string _name;
		public string Name { get => _name; }

	}
}
